Bug 857435 - btrfs: No space left on device with 21GB available
btrfs: No space left on device with 21GB available
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Zach Brown
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 08:15 EDT by Jan Kratochvil
Modified: 2015-05-17 21:40 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 09:51:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2012-09-14 08:15:39 EDT
Description of problem:
No space left on device with 21GB available.

Version-Release number of selected component (if applicable):
kernel-3.4.9-2.fc16.x86_64

How reproducible:
Several times here now.

Steps to Reproduce:
git clone http://git.siddhesh.in/gdb.git

Actual results:
error: unable to create file gdb/xml-tdesc.h (No space left on device)
error: unable to create file gdb/xstormy16-tdep.c (No space left on device)
[...]
error: unable to create file include/lto-symtab.h (No space left on device)
fatal: cannot create directory at 'include/mach-o': No space left on device
$ df -h
Filesystem                                             Size  Used Avail Use% Mounted on
rootfs                                                 141G  116G   21G  86% /
[...]

Expected results:
Either successful GIT checkout or displayed Avail == 0GB.

Additional info:
I rarely work on this btrfs on Intel SSD as it is too slow to be usable:
  [Bug 759304] btrfs: poor performance
Comment 1 Dave Jones 2012-10-23 11:29:54 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 2 Justin M. Forbes 2012-11-14 09:51:29 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.